[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# TCustomMaskEdit.SetNumbersOnly

Sets the value for the NumbersOnly property.

## Declaration

Source position: maskedit.pp line 285

`protected procedure TCustomMaskEdit.SetNumbersOnly(`
`Value: Boolean`
`); override;`

## Arguments

`Value` |  | New value for the property.

## Description

SetNumbersOnly is an overridden Boolean function used as the write access specifier for the NumbersOnly property.

SetNumbersOnly provides support use of an edit mask in the control. When IsMasked is True, setting NumbersOnly to True can interfere with the masking logic in the control; the property is automatically set to False when IsMasked is True. Otherwise, the inherited SetNumbersOnly method is called to set to the value for the property.

## See also

TCustomEdit.SetNumbersOnly |  | Sets the value for the NumbersOnly property.
TCustomEdit.NumbersOnly |  | Indicates if the edit control accepts numeric values only.